Bug 387844 - When Flatpak backend is not installed, Discover should still be able to open .flatpakref files and then offer to install the Flatpak backend
Summary: When Flatpak backend is not installed, Discover should still be able to open ...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Flatpak Backend (show other bugs)
Version: 5.11.4
Platform: Ubuntu Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-12 22:07 UTC by Peter Eszlari
Modified: 2018-05-31 00:47 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Eszlari 2017-12-12 22:07:51 UTC
At the moment, the flatpak backend is not installed by default on Kubuntu 18.04. When one tries to install an app from flathub, e.g. by downloading and opening a ref-file (https://flathub.org/repo/appstream/org.audacityteam.Audacity.flatpakref), the file gets opened with kate.

Of course, Kubuntu should install flatpak by default and I will submit a bug for that, but they may deny that request for political reasons (snappy). To be save, discover should provide an automatic install option, like gstreamer-based media players do it with patented codecs (with the help of packagekit afaik).
Comment 1 Nate Graham 2017-12-12 22:35:35 UTC
> Of course, Kubuntu should install flatpak by default

No need for a bug; it's being discussed in https://phabricator.kde.org/T7566 Kubuntu folks are definitely open to using the Flatpak backend instead of or in addition to the Snap one, but the user experience in Kubuntu is a bit rough at the moment due to https://bugs.kde.org/show_bug.cgi?id=387790

Aleix, is there anything we can do to handle .flatpakref files in Discover even when the Flatpak backend isn't installed? Could we offer to install it and then install the original .flatpakref file?
Comment 2 Aleix Pol 2017-12-12 23:13:17 UTC
We can find some way to have it happen, I'm not sure we can find a way that is elegant and not clunky. Note that some distros may decide not to even package the flatpak backend.

Also the splitting is something packagers do and we can't keep track of the package name that packagers will give to the different plugins.

That said, it would be technically possible to have discover install parts of itself when flatpak-specific features (such as flatpakref) are used.
Comment 3 Aleix Pol 2018-05-31 00:47:37 UTC
Git commit 7f61173abeb6d6e99fc2a2776b3a9827985be8b6 by Aleix Pol.
Committed on 31/05/2018 at 00:46.
Pushed by apol into branch 'master'.

When we know the plugin is missing, offer it

M  +10   -2    discover/DiscoverObject.cpp

https://commits.kde.org/discover/7f61173abeb6d6e99fc2a2776b3a9827985be8b6